Topics

Package 'chkconfig' has no installation candidate


ken@...
 

I have attempted to do an install with Debian 8 9 and 10, 9 and 10 continue to have the above error message when attempting to run the DV Switch system builder. Can you please advise?

Thank you,
Ken
KC2IDB


Steve N4IRS
 

I do not see chkconfig anywhere in the install script. Please copy and paste the messages before and after.

Steve N4IRS

On 2/28/20 9:24 PM, ken@... wrote:
I have attempted to do an install with Debian 8 9 and 10, 9 and 10 continue to have the above error message when attempting to run the DV Switch system builder. Can you please advise?

Thank you,
Ken
KC2IDB


ken@...
 

Looks like it is a dependency issue

Selecting previously unselected package libusb-1.0-0:amd64.
(Reading database ... 64167 files and directories currently installed.)
Preparing to unpack .../libusb-1.0-0_2%3a1.0.21-1_amd64.deb ...
Unpacking libusb-1.0-0:amd64 (2:1.0.21-1) ...
Selecting previously unselected package libusb-1.0-0-dev:amd64.
Preparing to unpack .../libusb-1.0-0-dev_2%3a1.0.21-1_amd64.deb ...
Unpacking libusb-1.0-0-dev:amd64 (2:1.0.21-1) ...
Selecting previously unselected package libusb-1.0-doc.
Preparing to unpack .../libusb-1.0-doc_2%3a1.0.21-1_all.deb ...
Unpacking libusb-1.0-doc (2:1.0.21-1) ...
Setting up libusb-1.0-doc (2:1.0.21-1) ...
Setting up libusb-1.0-0:amd64 (2:1.0.21-1) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Setting up libusb-1.0-0-dev:amd64 (2:1.0.21-1) ...
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package chkconfig is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
 
E: Package 'chkconfig' has no installation candidate


Steve N4IRS
 

What platform (OS and hardware) are you installing on?

On 2/29/20 6:32 PM, ken@... wrote:
Looks like it is a dependency issue

Selecting previously unselected package libusb-1.0-0:amd64.
(Reading database ... 64167 files and directories currently installed.)
Preparing to unpack .../libusb-1.0-0_2%3a1.0.21-1_amd64.deb ...
Unpacking libusb-1.0-0:amd64 (2:1.0.21-1) ...
Selecting previously unselected package libusb-1.0-0-dev:amd64.
Preparing to unpack .../libusb-1.0-0-dev_2%3a1.0.21-1_amd64.deb ...
Unpacking libusb-1.0-0-dev:amd64 (2:1.0.21-1) ...
Selecting previously unselected package libusb-1.0-doc.
Preparing to unpack .../libusb-1.0-doc_2%3a1.0.21-1_all.deb ...
Unpacking libusb-1.0-doc (2:1.0.21-1) ...
Setting up libusb-1.0-doc (2:1.0.21-1) ...
Setting up libusb-1.0-0:amd64 (2:1.0.21-1) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Setting up libusb-1.0-0-dev:amd64 (2:1.0.21-1) ...
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package chkconfig is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
 
E: Package 'chkconfig' has no installation candidate


ken@...
 

This is Debian 9.5 on amazon light sail.

Also, I looked over the script, I found that one of the initial apt-get install lines does include chkconfig


Steve N4IRS
 

Really? show me.

On 2/29/20 6:46 PM, ken@... wrote:
This is Debian 9.5 on amazon light sail.

Also, I looked over the script, I found that one of the initial apt-get install lines does include chkconfig


Steve N4IRS
 

I stand corrected. It does. Hmmm

On 2/29/20 6:46 PM, ken@... wrote:
This is Debian 9.5 on amazon light sail.

Also, I looked over the script, I found that one of the initial apt-get install lines does include chkconfig


Steve N4IRS
 

I'm going to comment it out. I don't see any reason for it. Must be a leftover. Works with Raspbian but I don't think it's used anywhere.

On 2/29/20 6:46 PM, ken@... wrote:
This is Debian 9.5 on amazon light sail.

Also, I looked over the script, I found that one of the initial apt-get install lines does include chkconfig


Steve N4IRS
 

script updated

On 2/29/20 6:46 PM, ken@... wrote:
This is Debian 9.5 on amazon light sail.

Also, I looked over the script, I found that one of the initial apt-get install lines does include chkconfig


ken@...
 

I did that on the script I have, it appears that all worked well until I got snagged at PHP, So I uncommented php7 and php and commented the one that was there. It worked.

Thank you for your help.